Bug 1011130 - confusing help message for layout switching options
confusing help message for layout switching options
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Vratislav Podzimek
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 12:22 EDT by Tomas Capek
Modified: 2014-06-17 21:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-19.31.24-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:27:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Capek 2013-09-23 12:22:12 EDT
Steps to Reproduce:

1. Go to the Keyboard spoke

2. Click the Options button

3. Select "Alt+Ctrl" , "Both Shift keys together" , "Ctrl+Shift", then click "OK"

Actual results:

The help message above the Options button now says "Both Shift keys together to switch layouts" even though it's just the middle out of three selected shortcuts from the list.

Expected results:

The help message either lists all selected shortcuts or consistently just the first one.

Additional Info:

If you try to randomly (de)select more shortcuts from the list, sometimes it will be the first or the last one that is displayed in the help message, indicating that front end and internal sorting of the shortcuts does not match.
Comment 3 Jan Stodola 2014-02-04 04:44:57 EST
The first shortcut from the list is displayed above the Options button.

Tested with anaconda-19.31.54-1.el7.

Moving to VERIFIED.
Comment 4 Ludek Smid 2014-06-13 07:27:00 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.